NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.MoveFaceBuilder Class Reference

Represents a builder for a move face feature, don't use it until nx502. More...

Inheritance diagram for NXOpen.Features.MoveFaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { TranslateDirectionAndDistance, TranslateBetweenTwoPoints, RotateAboutAxis, RotateBetweenTwoAxes }
 the move face types, don't use it until nx502 More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle for axis and angle option, don't use it until nx502 More...
 
unsafe NXOpen.Axis Axis [get, set]
 Returns or sets the axis for axis and angle option, don't use it until nx502 More...
 
unsafe
NXOpen.ModlDirect.SelectBlend 
BlendFaces [get]
 Returns the face collector holding the all the recognized blend faces adjacent to face to move. More...
 
unsafe bool Copy [get, set]
 Returns or sets the copy option for move face, don't use it until nx502 More...
 
unsafe NXOpen.Direction Direction [get, set]
 Returns or sets the vector for direction and distance option, don't use it until nx502 More...
 
unsafe NXOpen.Expression Distance [get]
 Returns the distance for direction and distance option, don't use it until nx502 More...
 
unsafe NXOpen.Point FromPoint [get, set]
 Returns or sets the from point in point to point option in move face, don't use it until nx502 More...
 
unsafe NXOpen.Direction FromVector [get, set]
 Returns or sets the from vector in axis to axis option in move face, don't use it until nx502 More...
 
unsafe NXOpen.ScCollector MoveFaceCollector [get]
 Returns the face collector holding the faces to move More...
 
unsafe NXOpen.Point PivotPoint [get, set]
 Returns or sets the pivot point in axis to axis option in move face, don't use it until nx502 More...
 
unsafe NXOpen.Point ToPoint [get, set]
 Returns or sets the to point in point to point option in move face, don't use it until nx502 More...
 
unsafe NXOpen.Direction ToVector [get, set]
 Returns or sets the to vector in axis to axis option in move face, don't use it until nx502 More...
 
unsafe
NXOpen.Features.MoveFaceBuilder.Types 
Type [get, set]
 Returns or sets the type, don't use it until nx502 More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a builder for a move face feature, don't use it until nx502.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMoveFaceBuilder

Default values.

Property Value

Angle.Value

10.0

Distance.Value

10.0 (millimeters part), 0.4 (inches part)

Created in NX5.0.2

Member Enumeration Documentation

the move face types, don't use it until nx502

Enumerator
TranslateDirectionAndDistance 

Direction and Distance for moving the faces

TranslateBetweenTwoPoints 

Move faces in the direction and distance defined by the two points

RotateAboutAxis 

Move faces by rotating about an axis

RotateBetweenTwoAxes 

Move faces by rotating the axis from the first to the second

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.MoveFaceBuilder.Angle
get

Returns the angle for axis and angle option, don't use it until nx502

Created in NX5.0.2

License requirements: None.

unsafe NXOpen.Axis NXOpen.Features.MoveFaceBuilder.Axis
getset

Returns or sets the axis for axis and angle option, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ModlDirect.SelectBlend NXOpen.Features.MoveFaceBuilder.BlendFaces
get

Returns the face collector holding the all the recognized blend faces adjacent to face to move.

It is auto recognized blends + user selected blends - user excluded blends, don't use it until nx502

Created in NX5.0.2

License requirements: None.

unsafe bool NXOpen.Features.MoveFaceBuilder.Copy
getset

Returns or sets the copy option for move face, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.MoveFaceBuilder.Direction
getset

Returns or sets the vector for direction and distance option, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.MoveFaceBuilder.Distance
get

Returns the distance for direction and distance option, don't use it until nx502

Created in NX5.0.2

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.MoveFaceBuilder.FromPoint
getset

Returns or sets the from point in point to point option in move face, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.MoveFaceBuilder.FromVector
getset

Returns or sets the from vector in axis to axis option in move face, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.MoveFaceBuilder.MoveFaceCollector
get

Returns the face collector holding the faces to move

Created in NX5.0.2

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.MoveFaceBuilder.PivotPoint
getset

Returns or sets the pivot point in axis to axis option in move face, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.MoveFaceBuilder.ToPoint
getset

Returns or sets the to point in point to point option in move face, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.MoveFaceBuilder.ToVector
getset

Returns or sets the to vector in axis to axis option in move face, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.MoveFaceBuilder.Types NXOpen.Features.MoveFaceBuilder.Type
getset

Returns or sets the type, don't use it until nx502

Created in NX5.0.2

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.